Bug 613931 - cannot delete user name from condor_userprio -all and wrong resource number
cannot delete user name from condor_userprio -all and wrong resource number
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
1.0
All Linux
medium Severity medium
: 2.1.1
: ---
Assigned To: Erik Erlandson
Martin Kudlej
:
Depends On:
Blocks: 765607
  Show dependency treegraph
 
Reported: 2010-07-13 05:49 EDT by Martin Kudlej
Modified: 2012-02-06 13:17 EST (History)
3 users (show)

See Also:
Fixed In Version: condor-7.6.5-0.7
Doc Type: Bug Fix
Doc Text:
Cause: Addition of accounting groups to condor_userprio reporting added redundant values to total sums. Consequence: Reports from condor_userprio reported totals that were too high. Fix: Added logic to prevent accumulation of redundant values from accounting groups. Result: condor_userprio reports correct total values without redundancies.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-06 13:17:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0100 normal SHIPPED_LIVE Moderate: MRG Grid security, bug fix, and enhancement update 2012-02-06 18:15:47 EST

  None (edit)
Description Martin Kudlej 2010-07-13 05:49:32 EDT
Description of problem:
I've set group quotas and number of cpus:
NUM_CPUS=100
GROUP_NAMES = group_1, group_2
GROUP_QUOTA_group_1 = 50
GROUP_QUOTA_group_2 = 25

and I've tried to submit simple job(test.sub):
cmd = /bin/sleep
universe = vanilla
should_transfer_files = YES
when_to_transfer_output = ON_EXIT
arguments = 30
queue 100

by command:
condor_submit -a '+AccountingGroup = "group_1"' test.sub
adduser xxx
condor_submit -a '+AccountingGroup = "group_1.xxx"' test.sub


Version-Release number of selected component (if applicable):
condor-7.4.4-0.4.el5 RHEL5.5 i686

How reproducible:
100%

Actual results:
There are more resources in condor_userprio -all than are available.
It's not possible to delete user name group_1 from condor_userprio
-all.
AccountingGroup = "group_1" from description file is not limited by quota for group_1.

Expected results:
There will not be more resources in condor_userprio than there really
are.
It can be possible to delete group_1 from list of users in
condor_userprio.
AccountingGroup = "group_1" from description file is limited by quota for group_1.

Additional info:

$condor_userprio -all
Last Priority Update:  7/13 05:13   
                                    Effective   Real     Priority   Res
User Name                           Priority  Priority    Factor    Used 
------------------------------      --------- -------- ------------ ---- 
group_1.xxx@hostname                     0.52     0.52         1.00   50 
group_1                                  0.52     0.52         1.00   50 
group_1@hostname                         0.52     0.52         1.00   50 
------------------------------      --------- -------- ------------ ---- 
Number of users: 3                                                   150 


$ condor_status -format "%s\n" "AccountingGroup" | sort | uniq -c 
50 group_1@hostname
50 group_1.xxx@hostname

with just $condor_submit -a '+AccountingGroup = "group_1.xxx"' test.sub
Last Priority Update:  7/13 05:39   
                                    Effective   Real     Priority   Res 
User Name                           Priority  Priority    Factor    Used
------------------------------      --------- -------- ------------ ----
group_1                                  0.54     0.54         1.00   50
group_1.xxx@hostname                     0.54     0.54         1.00   50
------------------------------      --------- -------- ------------ ----
Number of users: 2                                                   100

I uses 100 resources which is more than 50 resources for group_1.


with just $condor_submit -a '+AccountingGroup = "group_1"' test.sub
Last Priority Update:  7/13 05:45   
                                    Effective   Real     Priority   Res 
User Name                           Priority  Priority    Factor    Used
------------------------------      --------- -------- ------------ ----
group_1@hostname                         0.53     0.53         1.00  100
------------------------------      --------- -------- ------------ ----
Number of users: 1                                                   100
So AccountingGroup = "group_1" is not limited with group_1 group qouta as it should be.
Comment 5 Erik Erlandson 2011-12-09 11:50:42 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:
Addition of accounting groups to condor_userprio reporting added redundant values to total sums.

Consequence:
Reports from condor_userprio reported totals that were too high.

Fix:
Added logic to prevent accumulation of redundant values from accounting groups.

Result:
condor_userprio reports correct total values without redundancies.
Comment 7 Martin Kudlej 2012-01-05 04:01:24 EST
Tested on RHEL 6.2/5.7 x i386/x86_64 with condor-7.6.5-0.11 and it works. -->VERIFIED
Comment 8 errata-xmlrpc 2012-02-06 13:17:22 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0100.html

Note You need to log in before you can comment on or make changes to this bug.